Patchwork D2996: bundle2: make source a mandatory argument for bundle2.applybundle() (API)

login
register
mail settings
Submitter phabricator
Date March 31, 2018, 5:19 p.m.
Message ID <9c8bf3d4be64dff59dec40b1204beafc@localhost.localdomain>
Download mbox | patch
Permalink /patch/30071/
State Not Applicable
Headers show

Comments

phabricator - March 31, 2018, 5:19 p.m.
This revision was automatically updated to reflect the committed changes.
Closed by commit rHG684a6a261f30: bundle2: make source a mandatory argument for bundle2.applybundle() (API) (authored by pulkit, committed by ).

REPOSITORY
  rHG Mercurial

CHANGES SINCE LAST UPDATE
  https://phab.mercurial-scm.org/D2996?vs=7463&id=7474

REVISION DETAIL
  https://phab.mercurial-scm.org/D2996

AFFECTED FILES
  mercurial/bundle2.py

CHANGE DETAILS




To: pulkit, #hg-reviewers, indygreg
Cc: mercurial-devel

Patch

diff --git a/mercurial/bundle2.py b/mercurial/bundle2.py
--- a/mercurial/bundle2.py
+++ b/mercurial/bundle2.py
@@ -342,7 +342,7 @@ 
     to be created"""
     raise TransactionUnavailable()
 
-def applybundle(repo, unbundler, tr, source=None, url=None, **kwargs):
+def applybundle(repo, unbundler, tr, source, url=None, **kwargs):
     # transform me into unbundler.apply() as soon as the freeze is lifted
     if isinstance(unbundler, unbundle20):
         tr.hookargs['bundle2'] = '1'